# Uses of Package
org.apache.commons.math3

Packages that use org.apache.commons.math3
Package
Description
org.apache.commons.math3
Common classes used throughout the commons-math library.
org.apache.commons.math3.analysis
Parent package for common numerical analysis procedures, including root finding, function interpolation and integration.
org.apache.commons.math3.analysis.differentiation
This package holds the main interfaces and basic building block classes dealing with differentiation.
org.apache.commons.math3.analysis.interpolation
Univariate real functions interpolation algorithms.
org.apache.commons.math3.analysis.solvers
Root finding algorithms, for univariate real functions.
org.apache.commons.math3.complex
Complex number type and implementations of complex transcendental functions.
org.apache.commons.math3.dfp
Decimal floating point library for Java
org.apache.commons.math3.fraction
Fraction number type and fraction number formatting.
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.
org.apache.commons.math3.linear
Linear algebra support.
org.apache.commons.math3.ode
This package provides classes to solve Ordinary Differential Equations problems.
org.apache.commons.math3.ode.events
This package provides classes to handle discrete events occurring during Ordinary Differential Equations integration.
org.apache.commons.math3.ode.nonstiff
This package provides classes to solve non-stiff Ordinary Differential Equations problems.
org.apache.commons.math3.ode.sampling
This package provides classes to handle sampling steps during Ordinary Differential Equations integration.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

Classes in org.apache.commons.math3 used by org.apache.commons.math3
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.analysis
Class
Description
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.analysis.differentiation
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.analysis.interpolation
Class
Description
FieldElement
Interface representing field elements.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.analysis.solvers
Class
Description
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.complex
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.dfp
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.fraction
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.geometry.euclidean.threed
Class
Description
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.linear
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.ode
Class
Description
Field
Interface representing a field.
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.ode.events
Class
Description
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.ode.nonstiff
Class
Description
Field
Interface representing a field.
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.ode.sampling
Class
Description
RealFieldElement
Interface representing a real field.
Classes in org.apache.commons.math3 used by org.apache.commons.math3.util
Class
Description
Field
Interface representing a field.
FieldElement
Interface representing field elements.
RealFieldElement
Interface representing a real field.